# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure(2) do |config|
 
    config.vm.define "node1" do |node1|
        node1.vm.boot_timeout   = 9000
        node1.vm.box = "bento/ubuntu-16.04"
        node1.vm.provider "virtualbox" do |v|
          v.customize ["modifyvm", :id, "--memory", "4096"]
        end
        node1.vm.network :private_network, ip: "192.168.5.3"
        node1.vm.hostname = "node1"
        node1.vm.provision :shell, path: "scripts/setup-hosts.sh"
        node1.vm.provision :shell, path: "scripts/setup-node.sh"
        node1.vm.provision :shell, path: "scripts/installVisionDistribuido.sh"
    end

    config.vm.define "nodemaster" do |nodemaster|
        nodemaster.vm.boot_timeout   = 9000
        nodemaster.vm.box = "bento/ubuntu-16.04"
        nodemaster.vm.provider "virtualbox" do |v|
          v.customize ["modifyvm", :id, "--memory", "1024"]
        end
        nodemaster.vm.network :private_network, ip: "192.168.5.2"
        nodemaster.vm.hostname = "nodemaster"
        nodemaster.vm.provision :shell, path: "scripts/setup-hosts.sh"
        nodemaster.vm.provision :shell, path: "scripts/setup-master.sh"
        #nodemaster.vm.provision :shell, path: "scripts/installVision.sh"
    end
end
